'\" t
.\"     Title: vipw
.\"    Author: Marek Micha\(/lkiewicz
.\" Generator: DocBook XSL Stylesheets vsnapshot <http://docbook.sf.net/>
.\"      Date: 08/22/2022
.\"    Manual: Команды управления системой
.\"    Source: shadow-utils 4.12.3
.\"  Language: Russian
.\"
.TH "vipw" "8" "08/22/2022" "shadow\-utils 4\&.12\&.3" "Команды управления системой"
.\" -----------------------------------------------------------------
.\" * Define some portability stuff
.\" -----------------------------------------------------------------
.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.\" http://bugs.debian.org/507673
.\" http://lists.gnu.org/archive/html/groff/2009-02/msg00013.html
.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.ie \n(.g .ds Aq \(aq
.el       .ds Aq '
.\" -----------------------------------------------------------------
.\" * set default formatting
.\" -----------------------------------------------------------------
.\" disable hyphenation
.nh
.\" disable justification (adjust text to left margin only)
.ad l
.\" -----------------------------------------------------------------
.\" * MAIN CONTENT STARTS HERE *
.\" -----------------------------------------------------------------
.SH "НАЗВАНИЕ"
vipw, vigr \- позволяют редактировать файлы паролей, групп, теневых паролей пользователей или групп\&.
.SH "СИНТАКСИС"
.HP \w'\fBvipw\fR\ 'u
\fBvipw\fR [\fIпараметры\fR]
.HP \w'\fBvigr\fR\ 'u
\fBvigr\fR [\fIпараметры\fR]
.SH "ОПИСАНИЕ"
.PP
The
\fBvipw\fR
and
\fBvigr\fR
commands edits the files
/etc/passwd
and
/etc/group, respectively\&. With the
\fB\-s\fR
flag, they will edit the shadow versions of those files,
/etc/shadow
and
/etc/gshadow, respectively\&. The programs will set the appropriate locks to prevent file corruption\&. When looking for an editor, the programs will first try the environment variable
\fB$VISUAL\fR, then the environment variable
\fB$EDITOR\fR, and finally the default editor,
\fBvi\fR(1)\&.
.SH "ПАРАМЕТРЫ"
.PP
The options which apply to the
\fBvipw\fR
and
\fBvigr\fR
commands are:
.PP
\fB\-g\fR, \fB\-\-group\fR
.RS 4
Редактировать базу данных групп\&.
.RE
.PP
\fB\-h\fR, \fB\-\-help\fR
.RS 4
Показать краткую справку и закончить работу\&.
.RE
.PP
\fB\-p\fR, \fB\-\-passwd\fR
.RS 4
Редактировать базу данных passwd\&.
.RE
.PP
\fB\-q\fR, \fB\-\-quiet\fR
.RS 4
Не выводить сообщений при работе\&.
.RE
.PP
\fB\-R\fR, \fB\-\-root\fR\ \&\fICHROOT_DIR\fR
.RS 4
Apply changes in the
\fICHROOT_DIR\fR
directory and use the configuration files from the
\fICHROOT_DIR\fR
directory\&. Only absolute paths are supported\&.
.RE
.PP
\fB\-s\fR, \fB\-\-shadow\fR
.RS 4
Редактировать базу данных shadow или gshadow\&.
.RE
.SH "ОКРУЖЕНИЕ"
.PP
\fBVISUAL\fR
.RS 4
Редактор, который будет вызван\&.
.RE
.PP
\fBEDITOR\fR
.RS 4
Editor to be used if
\fBVISUAL\fR
is not set\&.
.RE
.SH "ФАЙЛЫ"
.PP
/etc/group
.RS 4
содержит информацию о группах
.RE
.PP
/etc/gshadow
.RS 4
содержит защищаемую информацию о группах
.RE
.PP
/etc/passwd
.RS 4
содержит информацию о пользователях
.RE
.PP
/etc/shadow
.RS 4
содержит защищаемую информацию о пользователях
.RE
.SH "СМОТРИТЕ ТАКЖЕ"
.PP
\fBvi\fR(1),
\fBgroup\fR(5),
\fBgshadow\fR(5)
,
\fBpasswd\fR(5), ,
\fBshadow\fR(5)\&.
